JNA API 3.3.0

## com.sun.jna.ptr
Class DoubleByReference

    java.lang.Object
      com.sun.jna.PointerType
          com.sun.jna.ptr.ByReference
              com.sun.jna.ptr.DoubleByReference

All Implemented Interfaces:
  NativeMapped

    public class DoubleByReference

extends ByReference

Constructor Summary
`DoubleByReference()`
`DoubleByReference(double value)`

Method Summary
`double` | `getValue()`
`void` | `setValue(double value)`

Methods inherited from class com.sun.jna.PointerType
`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DoubleByReference

    public DoubleByReference()

### DoubleByReference

    public DoubleByReference(double value)

Method Detail

### setValue

    public void setValue(double value)

### getValue

    public double getValue()

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.